---
# Cop supports --auto-correct.
Rails/RedundantForeignKey:
  # Offense count: 90
  # Temporarily disabled due to too many offenses
  Enabled: false
  Exclude:
    - 'app/models/alert_management/metric_image.rb'
    - 'app/models/ci/build.rb'
    - 'app/models/ci/build_need.rb'
    - 'app/models/ci/build_pending_state.rb'
    - 'app/models/ci/build_trace_chunk.rb'
    - 'app/models/ci/daily_build_group_report_result.rb'
    - 'app/models/ci/job_artifact.rb'
    - 'app/models/ci/job_variable.rb'
    - 'app/models/ci/pipeline.rb'
    - 'app/models/ci/sources/pipeline.rb'
    - 'app/models/ci/stage.rb'
    - 'app/models/ci/unit_test_failure.rb'
    - 'app/models/clusters/applications/runner.rb'
    - 'app/models/clusters/concerns/application_core.rb'
    - 'app/models/clusters/integrations/elastic_stack.rb'
    - 'app/models/clusters/integrations/prometheus.rb'
    - 'app/models/commit_signatures/x509_commit_signature.rb'
    - 'app/models/concerns/analytics/cycle_analytics/stage.rb'
    - 'app/models/concerns/commit_signature.rb'
    - 'app/models/group.rb'
    - 'app/models/group_group_link.rb'
    - 'app/models/integrations/zentao_tracker_data.rb'
    - 'app/models/member.rb'
    - 'app/models/merge_request.rb'
    - 'app/models/merge_request/metrics.rb'
    - 'app/models/namespace.rb'
    - 'app/models/namespaces/project_namespace.rb'
    - 'app/models/packages/debian/publication.rb'
    - 'app/models/project.rb'
    - 'app/models/resource_state_event.rb'
    - 'app/models/review.rb'
    - 'app/models/user.rb'
    - 'app/models/x509_certificate.rb'
    - 'ee/app/models/allowed_email_domain.rb'
    - 'ee/app/models/boards/epic_board.rb'
    - 'ee/app/models/boards/epic_list_user_preference.rb'
    - 'ee/app/models/ci/sources/project.rb'
    - 'ee/app/models/concerns/incident_management/base_pending_escalation.rb'
    - 'ee/app/models/deployments/approval.rb'
    - 'ee/app/models/ee/iteration.rb'
    - 'ee/app/models/ee/service_desk_setting.rb'
    - 'ee/app/models/geo/event_log.rb'
    - 'ee/app/models/incident_management/escalation_rule.rb'
    - 'ee/app/models/incident_management/oncall_participant.rb'
    - 'ee/app/models/incident_management/oncall_shift.rb'
    - 'ee/app/models/incident_management/pending_escalations/alert.rb'
    - 'ee/app/models/incident_management/pending_escalations/issue.rb'
    - 'ee/app/models/issuable_metric_image.rb'
    - 'ee/app/models/security/orchestration_policy_configuration.rb'
    - 'ee/app/models/security/orchestration_policy_rule_schedule.rb'
    - 'ee/app/models/vulnerabilities/feedback.rb'
    - 'ee/app/models/vulnerabilities/finding.rb'
    - 'ee/app/models/vulnerabilities/finding_signature.rb'
    - 'ee/app/models/vulnerabilities/identifier.rb'
    - 'ee/lib/ee/gitlab/background_migration/populate_uuids_for_security_findings.rb'
    - 'ee/lib/ee/gitlab/background_migration/recalculate_vulnerability_finding_signatures_for_findings.rb'
    - 'lib/gitlab/background_migration/drop_invalid_vulnerabilities.rb'
    - 'lib/gitlab/background_migration/recalculate_vulnerabilities_occurrences_uuid.rb'
